.section--request {
  padding-top: get-vw(270px);
  margin-bottom: get-vw(120px);
  background: transparent;
  pointer-events: none;

  @include between(1280px, $desktop-mac) {
    margin-bottom: get-vw(150px, 1440);
  }
  @include between($desktop-sm, 1280px) {
    margin-bottom: get-vw(150px, 1280);
  }
  @include bellow($desktop-sm) {
    margin-bottom: get-vw(150px, 1024);
  }
  @include bellow($android-landscape) {
    padding-top: get-vw(80px, 375);
    margin-bottom: get-vw(-100px, 375);
  }

  &::before {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    left: 0;
    display: block;
    margin: 0 auto 0;
    z-index: 1;
    width: 100%;
    height: 50%;
    background: $white;
  }

  .section__title {
    margin-bottom: 10px;
    color: $white;

    @include bellow($android-landscape) {
      margin-bottom: get-vw(15px, 375);
    }
  }

  .section__inner {
    z-index: 2;
    padding: 0 get-vw(30px);
    display: flex;
    justify-content: space-between;
    align-items: flex-end;

    @include bellow($android-landscape) {
      padding: 0 get-vw(10px, 375);
    }
  }

  & ~ footer {
    background: $grayBG;
  }
}

.request {

  &__text {
    width: get-vw(420px);
    color: $white;
    font-size: get-vw(20px);
    letter-spacing: 0.03em;
    transition: opacity 0.65s, transform 0.8s $cubic;
    transition-delay: 0.25s;

    @include bellow($desktop-sm) {
      font-size: get-vw(14px, 1024);
    }
    @include bellow($android-landscape) {
      width: 100%;
      font-size: get-vw(14px, 375);
    }
  }

  &__left,
  &__center,
  &__right {
    position: relative;
    z-index: 2;
    max-width: 430px;

    @include bellow($android-landscape) {
      max-width: 100%;
      margin-bottom: get-vw(30px, 375);
    }
  }
  &__center {
    width: get-vw(435px);
    transition: opacity 0.65s, transform 0.8s $cubic;
    transition-delay: 0.4s;

    @include bellow($android-landscape) {
      width: 100%;
    }
  }
  &__right {
    transition: opacity 0.65s, transform 0.8s $cubic;
    transition-delay: 0.5s;
  }

  &__form {
    position: relative;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
    width: 100%;
    padding: get-vw(95px) get-vw(178px) get-vw(115px);
    transform: translate3d(0, get-vw(-150px), 0);
    pointer-events: all;

    @include bellow($desktop-sm) {
      padding: get-vw(45px, 1024) get-vw(65px, 1024) get-vw(50px, 1024);
    }
    @include bellow($android-landscape) {
      flex-direction: column;
      padding: get-vw(25px, 375) get-vw(25px, 375) get-vw(5px, 375);
    }

    &[data-anim="false"] {
      .request__form__bg::before {
        transform: scale(1.4);
      }
      .section__title,
      .request__text,
      .request__center,
      .request__right {
        opacity: 0;
        transform: translateY(#{get-vw(35px)});
      }
    }

    &__bg {
      @include absFull;
      overflow: hidden;
      z-index: 1;
    }
    &::before,
    &__bg::before {
      content: "";
      position: absolute;
      right: 0;
      left: 0;
      display: block;
      margin: auto;
    }
    &::before {
      bottom: 2px;
      z-index: 0;
      width: 80%;
      height: 10px;
      box-shadow: $blockShadow;
    }
    &__bg::before {
      top: 0;
      height: 100%;
      background: url("./../images/home-bot--dark.jpg") 50% 50% no-repeat;
      background-size: cover;
      transition: transform 2.4s ease-in-out;
    }

    &__inputs {
      max-width: 430px;
    }
  }

  .btn-wrap {
    display: flex;
    justify-content: center;
    padding-right: 45px;

    .btn {
      min-width: 220px;
      color: $white;
    }
  }
}
